Subject: RE: Syntax Survey Version 2

From: "Ramsay, Ron" <[email-masked]>
Date: Fri, 30 Mar 2001 18:14:01 +1000

I don't think binary syntax ever required ;binary to be specified. If you
now require it, I think it will be a change to the spec.

-----Original Message-----
From: Steven Legg [mailto:[email-masked]]
Sent: Friday, 30 March 2001 12:13
To: 'Kurt D. Zeilenga'
Cc: [email-masked]
Subject: RE: Syntax Survey Version 2

Kurt,

Kurt Zeilenga wrote: 
> At 05:23 PM 3/28/01 +1000, Steven Legg wrote:
> >The Binary syntax seems to be used in RFC 2798 as a catch-all
> >for attributes with a definite ASN.1 syntax but no LDAP string
> >encoding. Used in this way, labelling an attribute definition
> >with the Binary syntax is really only saying that the attribute
> >has to be requested and returned using the ;binary attribute option.
> 
> Right.  I think the Binary syntax needs to be clarified
> that it has no LDAP string encoding and should be transferred
> using the ;binary (or other) transfer option.

We really need to fix the transfer to being ;binary (in the current
absence of any alternative). If different attributes with the Binary
syntax have different default transfer encodings then we might as
well throw out the Binary syntax because it would then be telling us
nothing useful about the attribute's syntax or the encoding.

Cheers,
Steven